/*
 * Copyright 2019 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
!!GlobalInfo
product: Pins v6.0
processor: LPC8N04
package_id: LPC8N04FHI24
mcu_data: ksdk2_0
processor_version: 6.0.1
board: LPC8N04DevBoard
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

#include "fsl_common.h"
#include "fsl_gpio.h"
#include "fsl_iocon.h"
#include "pin_mux.h"

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitBootPins
 * Description   : Calls initialization functions.
 *
 * END ****************************************************************************************************************/
void BOARD_InitBootPins(void)
{
    BOARD_InitPins();
}

/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
BOARD_InitPins:
- options: {callFromInitBoot: 'true', prefix: BOARD_, coreID: core0, enableClock: 'true'}
- pin_list:
  - {pin_num: '1', peripheral: GPIO, signal: 'PIO0, 0', pin_signal: PIO0_0/WAKEUP, direction: INPUT, gpio_interrupt: gpioIrqRisingEdge, mode: inactive, lpf: disabled}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitPins
 * Description   : Configures pin routing and optionally pin electrical features.
 *
 * END ****************************************************************************************************************/
/* Function assigned for the Cortex-M0P */
void BOARD_InitPins(void)
{
    /* Enable clock for I/O configuration block: Enable */
    CLOCK_EnableClock(kCLOCK_Iocon);
    /* Enables the clock for the GPIO0 module */
    CLOCK_EnableClock(kCLOCK_Gpio);

    gpio_pin_config_t gpio0_pin1_config = {
        .direction = kGPIO_DigitalInput,
        .outputLogic = 0U,
    };
    /* Initialize GPIO functionality on pin PIO0_0 (pin 1)  */
    GPIO_PinInit(GPIO, 0U, &gpio0_pin1_config);
    /* Initialize GPIO interrupt on pin PIO0_0 (pin 1)  */
    GPIO_PinSetInterruptConfig(GPIO, 0U, kGPIO_IntRisingEdge);
    /* Enable GPIO interrupt on pin PIO0_0 (pin 1)  */
    GPIO_PortEnableInterrupts(GPIO, 1U);

    const uint32_t port0_pin0_config = (/* Pin is configured as PIO0_0 */
                                        IOCON_PIO_FUNC0 |
                                        /* No addition pin function */
                                        IOCON_PIO_MODE_INACT |
                                        /* Enable low-pass filter */
                                        IOCON_PIO_LPF_DI);
    /* PORT0 PIN0 (coords: 1) is configured as PIO0_0 */
    IOCON_PinMuxSet(IOCON, 0U, 0U, port0_pin0_config);
}
/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
